<?php

namespace Drupal\preprocessors_example\Plugin\preprocessors;

use Drupal\preprocessors\PluginManager\PreprocessorsPluginManager\PreprocessorPluginBase;

/**
 * Provide plugin to alter variables for nodes.
 *
 * This is an added example that is discovered through Yaml Discovery!
 *
 * @noinspection
 *   AnnotationMissingUseInspection
 *
 * @package Drupal\preprocessors_example\Plugin\Preprocessor
 */
final class NodePreprocessorYaml extends PreprocessorPluginBase {

  /**
   * Add personal tweaks to variables in this function.
   *
   * {@inheritdoc}
   */
  public function preprocess(&$variables, $hook, $info): void {
    $variables['hello'] = 'world';
  }

}
